Page MenuHomePhabricator

[AMDGPU] Fix ieee mode default value
ClosedPublic

Authored by Flakebi on Oct 14 2020, 5:18 AM.

Details

Summary

Previously, the default value for ieee mode was

  • on for compute kernels and compute shaders,
  • off for all shaders except compute shaders.

This commit changes the default to be

  • on for compute kernels,
  • off for shaders.

This aligns the default value with the settings that are actually in
use. To my knowledge, all users of shader calling conventions (mesa and
llpc) disable the ieee mode by default.

Diff Detail

Event Timeline

Flakebi created this revision.Oct 14 2020, 5:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 14 2020, 5:18 AM
Flakebi requested review of this revision.Oct 14 2020, 5:18 AM
foad added a comment.Oct 14 2020, 5:53 AM

Makes sense to me. As I understand it the biggest practical effect is that the compiler will start making use of output modifiers in compute shaders.

Please make sure you give this a reasonable amount of testing, but it totally makes sense to me.

Can you add a test that directly checks the mode setting in the output

Flakebi updated this revision to Diff 301306.Oct 28 2020, 9:25 AM

Add pre-commited tests.

@nhaehnle I ran piglit run gpu results/gpu and Vulkan CTS on D89388 and D89399 and didn’t notice any new failures (if these are the right tests?).

arsenm accepted this revision.Oct 28 2020, 10:16 AM
This revision is now accepted and ready to land.Oct 28 2020, 10:16 AM
This revision was landed with ongoing or failed builds.Nov 4 2020, 3:26 AM
This revision was automatically updated to reflect the committed changes.